Tag Archives: ruby

>Old rails, rake – running on Hardy

>From my own benefit … to help with installing and maintaining our old ruby apps, do this

sudo apt-get install rails rubygems irb ruby
sudo gem install -y rails --version=1.2.3
sudo gem install -y rake --version=0.7.3
sudo gem install -y postgres-pr

The problem with this is that it’s not sitting in your path and Ubuntu will keep asking you to install rails via apt. So

sudo ln -s /var/lib/gems/1.8/bin/rails /usr/local/bin/rails
sudo ln -s /var/lib/gems/1.8/bin/rake /usr/local/bin/rake